## r-cran-xopen 1.0.0

=== DESCRIPTION ===
Package: xopen
Title: Open System Files, 'URLs', Anything
Version: 1.0.0
Authors@R: c(
    person("Gábor", "Csárdi",, "csardi.gabor@gmail.com", c("aut", "cre")),
    person("Fathi", "Boudra", role = "aut"),
    person("Rex", "Dieter", role = "aut"),
    person("Kevin", "Krammer", role = "aut"),
    person("Jeremy", "White", role = "aut"))
Description: Cross platform solution to open files, directories or 'URLs'
    with their associated programs.
License: MIT + file LICENSE
LazyData: true
URL: https://github.com/r-lib/xopen#readme
BugReports: https://github.com/r-lib/xopen/issues
RoxygenNote: 6.1.0
Imports: processx
Suggests: ps, testthat
Encoding: UTF-8
Depends: R (>= 3.1)
NeedsCompilation: no
Packaged: 2018-09-10 20:47:53 UTC; gaborcsardi
Author: Gábor Csárdi [aut, cre],
  Fathi Boudra [aut],
  Rex Dieter [aut],
  Kevin Krammer [aut],
  Jeremy White [aut]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2018-09-17 13:10:03 UTC

=== debian/changelog ===
r-cran-xopen (1.0.0-1) unstable; urgency=medium

  * Initial release (closes: #911984)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 26 Oct 2018 22:35:58 +0200

=== debian/control ===
Source: r-cran-xopen
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-processx
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xopen
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xopen.git
Homepage: https://cran.r-project.org/package=xopen

Package: r-cran-xopen
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Open System Files, 'URLs', Anything
 Cross platform solution to open files, directories or 'URLs'
 with their associated programs.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/xopen_([-\d.]*)\.tar\.gz

## r-cran-xopen 1.0.0+dfsg

=== debian/changelog ===
r-cran-xopen (1.0.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Dylan Aïssi ]
  * Remove embedded xdg-open and link to xdg-utils instead (closes: #969765)

  [ Andreas Tille ]
  * Rebuild with r-graphics-engine set by r-base
    Closes: #1039667
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 10:11:01 +0200

r-cran-xopen (1.0.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * rename debian/tests/control.autodep8 to debian/tests/control
    (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 09:40:40 +0200

=== debian/control ===
Source: r-cran-xopen
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Dylan Aïssi <daissi@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xopen
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xopen.git
Homepage: https://cran.r-project.org/package=xopen
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-processx
Testsuite: autopkgtest-pkg-r

Package: r-cran-xopen
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         xdg-utils
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Open System Files, 'URLs', Anything
 Cross platform solution to open files, directories or 'URLs'
 with their associated programs.

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/xopen_([-\d.]*)\.tar\.gz

## r-cran-xopen 1.0.1+dfsg

=== DESCRIPTION ===
Package: xopen
Title: Open System Files, 'URLs', Anything
Version: 1.0.1
Authors@R: c(
    person("Gábor", "Csárdi", , "csardi.gabor@gmail.com", role = c("aut", "cre")),
    person("Fathi", "Boudra", role = "aut"),
    person("Rex", "Dieter", role = "aut"),
    person("Kevin", "Krammer", role = "aut"),
    person("Jeremy", "White", role = "aut"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Cross platform solution to open files, directories or 'URLs'
    with their associated programs.
License: MIT + file LICENSE
URL: https://github.com/r-lib/xopen#readme,
        https://r-lib.github.io/xopen/
BugReports: https://github.com/r-lib/xopen/issues
Depends: R (>= 3.1)
Imports: processx
Suggests: ps, testthat (>= 3.0.0)
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2024-04-25 08:49:03 UTC; gaborcsardi
Author: Gábor Csárdi [aut, cre],
  Fathi Boudra [aut],
  Rex Dieter [aut],
  Kevin Krammer [aut],
  Jeremy White [aut],
  Posit Software, PBC [cph, fnd]
Maintainer: Gábor Csárdi <csardi.gabor@gmail.com>
Repository: CRAN
Date/Publication: 2024-04-25 09:10:02 UTC

=== debian/changelog ===
r-cran-xopen (1.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 08 May 2024 08:31:51 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-xopen
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-xopen.git
 Homepage: https://cran.r-project.org/package=xopen
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-ps,
        r-cran-testthat (>= 3.0.0)
Restrictions: allow-stderr
